> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetAuditLog

POST https://api.voximplant.com/platform_api/GetAuditLog

Gets the history of account changes.

Allowed roles: `Owner`.

**Example request:** Get the three log items from the 2018-02-01 00:00:00 to the 2018-03-01 00:00:00 and filter.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/history/get-audit-log

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetAuditLog:
    post:
      operationId: get-audit-log
      summary: GetAuditLog
      description: >-
        Gets the history of account changes.


        Allowed roles: `Owner`.


        **Example request:** Get the three log items from the 2018-02-01
        00:00:00 to the 2018-03-01 00:00:00 and filter.
      tags:
        - subpackage_history
      parameters:
        - name: from_date
          in: query
          description: 'The UTC ''from'' date filter in 24-h format: YYYY-MM-DD HH:mm:ss'
          required: true
          schema:
            type: string
        - name: to_date
          in: query
          description: 'The UTC ''to'' date filter in 24-h format: YYYY-MM-DD HH:mm:ss'
          required: true
          schema:
            type: string
        - name: audit_log_id
          in: query
          description: The audit history ID list separated by semicolons (;)
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: filtered_admin_user_id
          in: query
          description: The admin user ID to filter
          required: false
          schema:
            type: string
        - name: filtered_ip
          in: query
          description: The IP list separated by semicolons (;) to filter
          required: false
          schema:
            type: array
            items:
              type: string
        - name: filtered_cmd
          in: query
          description: The function list separated by semicolons (;) to filter
          required: false
          schema:
            type: array
            items:
              type: string
        - name: advanced_filters
          in: query
          description: >-
            A relation ID to filter (for example: a phone_number value, a
            user_id value, an application_id value)
          required: false
          schema:
            type: string
        - name: desc_order
          in: query
          description: Whether to get records in the descent order
          required: false
          schema:
            type: boolean
            default: false
        - name: with_total_count
          in: query
          description: Whether to include the 'total_count' and increase performance
          required: false
          schema:
            type: boolean
            default: false
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 100
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/history_GetAuditLog_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AuditLogInfoTypeCmdArgs:
      type: object
      properties:
        skill_name:
          type: string
        bind:
          type: boolean
        skill_id:
          type: array
          items:
            type: integer
        acd_queue_id:
          type: array
          items:
            type: integer
      description: The arguments of the called function (they may be masked or resolved)
      title: AuditLogInfoTypeCmdArgs
    AuditLogInfoTypeCmdResultDeletedSkillsItems:
      type: object
      properties:
        skill_name:
          type: string
        skill_id:
          type: integer
      title: AuditLogInfoTypeCmdResultDeletedSkillsItems
    AuditLogInfoTypeCmdResult:
      type: object
      properties:
        skill_id:
          type: integer
        deleted_skills:
          type: array
          items:
            $ref: '#/components/schemas/AuditLogInfoTypeCmdResultDeletedSkillsItems'
      description: The modified values
      title: AuditLogInfoTypeCmdResult
    AuditLogInfoType:
      type: object
      properties:
        audit_log_id:
          type: integer
          description: The audit log ID
        subuser_id:
          type: integer
          description: The subuser's ID
        subuser_name:
          type: string
          description: The subuser's name
        account_id:
          type: integer
          description: The account ID
        requested:
          type: string
          description: >-
            Timestamp in YYYY-MM-DD HH:mm:ss format.


            The action time in the selected timezone in 24-h format: YYYY-MM-DD
            HH:mm:ss
        ip:
          type: string
          description: The initiator IP address
        cmd_name:
          type: string
          description: The called function
        cmd_args:
          $ref: '#/components/schemas/AuditLogInfoTypeCmdArgs'
          description: >-
            The arguments of the called function (they may be masked or
            resolved)
        cmd_result:
          $ref: '#/components/schemas/AuditLogInfoTypeCmdResult'
          description: The modified values
      description: The [GetAuditLog] function result item.
      title: AuditLogInfoType
    history_GetAuditLog_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/AuditLogInfoType'
        total_count:
          type: integer
          description: The total found item count
        count:
          type: integer
          description: The returned item count
        timezone:
          type: string
          description: The used timezone
      title: history_GetAuditLog_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetAuditLog"

querystring = {"from_date":"2026-04-28 17:30:00","to_date":"2026-04-28 17:30:00"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```